pipeline {
    agent any

    stages {
        stage('拉取代码') {
            steps {
                checkout([$class: 'GitSCM', branches: [[name: '*/develop']], extensions: [], userRemoteConfigs: [[credentialsId: '9173ff70-448a-4fc2-a7b3-0105a8c615a7', url: 'git@10.170.11.57:mkcloud/back-end.git']]])
            }
        }
        stage('编译代码') {
            steps {
                sh 'mvn clean package -Dmaven.repo.local=/home/chenrj/mvnrep'
            }
        }
        stage('部署代码') {
            steps {
                sh '/var/lib/jenkins/workspace/mkcloud-back-end/deploy.sh'
            }
        }
    }
}
